// V pripade, ze neni pouzity displej, je umoznena omezena signalizace pomoci 3-barevne LED
//================================================


#ifdef signal_LED 
//----------------------------------------------
void blik_R(void)
  {
    analogWrite(pin_LED_R,264 - (10 * jas_displeje));
    delay(40);
    analogWrite(pin_LED_R,255);
    delay(500);
  }
//----------------------------------------------



//----------------------------------------------
void blik_G(void)
  {
    analogWrite(pin_LED_G,255 - jas_displeje);
    delay(40);
    analogWrite(pin_LED_G,255);
    delay(800);
  }
//----------------------------------------------



//----------------------------------------------
void blik_G_fast(void)
  {
    analogWrite(pin_LED_G,255 - jas_displeje);
    delay(80);
    analogWrite(pin_LED_G,255);
    delay(300);
  }
//----------------------------------------------



//----------------------------------------------
void blik_B(void)
  {
    analogWrite(pin_LED_B,269 - (15 * jas_displeje));
    delay(40);
    analogWrite(pin_LED_B,255);
    delay(500);
  }
//----------------------------------------------



//----------------------------------------------
void blik_Y(void)
  {
    analogWrite(pin_LED_R,264 - (10 * jas_displeje));
    analogWrite(pin_LED_G,255 - jas_displeje);
    delay(1000);
    analogWrite(pin_LED_R,255);
    analogWrite(pin_LED_G,255);
    delay(1000);
  }
//----------------------------------------------



//----------------------------------------------
void blik_Y_kratky(void)
  {
    analogWrite(pin_LED_R,264 - (10 * jas_displeje));
    analogWrite(pin_LED_G,255 - jas_displeje);
    delay(200);
    analogWrite(pin_LED_R,255);
    analogWrite(pin_LED_G,255);
    delay(200);
  }
//----------------------------------------------



//----------------------------------------------
void blikblik_G (byte pocet)
  {
    for (byte i = 0 ; i < pocet ; i++)
      {
        blik_G();
      }
  }
//----------------------------------------------



//----------------------------------------------
void LED_R_onoff(boolean onoff)
  {
    if (onoff == false) analogWrite(pin_LED_R,255);
    else                analogWrite(pin_LED_R,264 - (10 * jas_displeje));
  }
//----------------------------------------------



//----------------------------------------------
void LED_B_onoff(boolean onoff)
  {
    if (onoff == false) analogWrite(pin_LED_B,255);
    else                analogWrite(pin_LED_B,269 - (15 * jas_displeje));
  }
//----------------------------------------------




//----------------------------------------------
void LED_G_onoff(boolean onoff)
  {
    if (onoff == false) analogWrite(pin_LED_G,255);
    else                analogWrite(pin_LED_G,255 - jas_displeje);
  }
//----------------------------------------------



//----------------------------------------------
void LED_W(boolean onoff)
  {
    if (onoff == false)
      {
        analogWrite(pin_LED_R,255);
        analogWrite(pin_LED_G,255);
        analogWrite(pin_LED_B,255);
      }
    else
      {
        analogWrite(pin_LED_R,264 - (10 * jas_displeje));
        analogWrite(pin_LED_G,255 - jas_displeje);
        analogWrite(pin_LED_B,269 - (15 * jas_displeje));
      }
  }
//----------------------------------------------



//----------------------------------------------
// nouzove vyblikani cisla prave zvolene polozky v menu pomoci zelene LED
void vyblikej_menu(byte pocet)
  {
    for (byte i = 0 ; i < pocet ; i++)
      {
        blik_G_fast();
      }    
  }
//----------------------------------------------



//----------------------------------------------
// nouzove vyblikani cisla pomoci 3-barevne LED
void vyblikej_cislo(unsigned int cislo)
  {
    unsigned int pomprom;
    delay(1000);
    blik_Y();                                                             // zacatek odesilani = bliknuti zlutou kombinaci LED

    boolean ignoruj_0 = true;

    // rad desetitisicu ------------------------------------------------
    if (cislo > 9999)
      {
        pomprom = cislo / 10000;   
        blikblik_G (pomprom);
        cislo = cislo % 10000;        
        ignoruj_0 = false;
        delay(100);
        blik_R ();                                                        // cervene bliknuti jako oddelovac radu
        delay(2000);
      }  

    
    // rad tisicu ------------------------------------------------
    if (cislo > 999)
      {
        pomprom = cislo / 1000;   
        blikblik_G (pomprom);
        cislo = cislo % 1000;
        ignoruj_0 = false;
      }  
    if (ignoruj_0 == false)
      {
        delay(100);
        blik_R ();                                                        // cervene bliknuti jako oddelovac radu
        delay(2000);        
      }

    
    // rad stovek ------------------------------------------------
    if (cislo > 99)
      {
        pomprom = cislo / 100;   
        blikblik_G (pomprom);
        cislo = cislo % 100;        
        ignoruj_0 = false;
      }  
    if (ignoruj_0 == false)
      {
        delay(100);
        blik_R ();                                                        // cervene bliknuti jako oddelovac radu
        delay(2000);        
      }

      
    // rad desitek -----------------------------------------------
    if (cislo > 9)
      {
        pomprom = cislo / 10;   
        blikblik_G (pomprom);
        cislo = cislo % 10;        
        ignoruj_0 = false;
      }  
    if (ignoruj_0 == false)
      {
        delay(100);
        blik_R ();                                                        // cervene bliknuti jako oddelovac radu
        delay(2000);        
      }


    // rad jednotek ----------------------------------------------
    blikblik_G (cislo);
    delay(200);
    blik_Y();                                                             // konec odesilani = bliknuti zlutou kombinaci LED
  }
//----------------------------------------------


#endif  
